## taylor-2.2.1.tgz

=== Makefile ===
#######################################################################
#
#   Makefile for the taylor translator
#		

MANDIR = $(DESTDIR)/usr/share/man/man1/
BINDIR = $(DESTDIR)/usr/bin/
DOCDIR = $(DESTDIR)/usr/share/taylor/

INSTALLDOC = /usr/bin/install -c -m 644
INSTALLPROGRAM = /usr/bin/install -c -m 755

CP = cp
MKDIR = mkdir

all:     taylor tp_test

install: all
	$(MKDIR) -p $(MANDIR)
	$(MKDIR) -p $(DOCDIR)
	$(MKDIR) -p $(BINDIR)
	$(INSTALLPROGRAM) taylor $(BINDIR)
	$(INSTALLDOC) taylor.1.gz $(MANDIR)
	$(INSTALLDOC) taylor.pdf $(DOCDIR)
	$(INSTALLDOC) examples.tgz $(DOCDIR)

HEADER1= y.tab.h
HEADER2= Node.h NodeCode.h
LEXSRC = Lex.l
YACCSRC= parse.y
SRC    = lex.yy.c y.tab.c Node.c  Parse.c my_cloud_code.c my_jet_code.c my_coef_code.c Code.c Code1.c Sum.c CodeMain.c Expr.c Poincare.c Main.c RK.c RK45.c RK67.c RK78.c RK89.c

OBJ    = $(SRC:.c=.o)

SRC1   = tp_eval.c tp_internal.c tp_parse.c tp_scanner.c tp_standard.c tp_util.c  tp_init.c  tp_calc.c tp_prep.c
OBJ1    = $(SRC1:.c=.o)

CC=gcc
LEXLIB = -lfl
OPFLAG = -g -Wall

Node.h: NodeCode.h
	@/usr/bin/touch Node.h

lex.yy.c: Lex.l $(HEADER1)
	flex -l Lex.l

y.tab.h: parse.y
	bison -y -d parse.y

y.tab.c: y.tab.h
	bison -y -v parse.y

taylor: $(OBJ) $(OBJ1)
	$(CC) -g -o $@ $(OPFLAG) $(OBJ) $(OBJ1) $(LEXLIB) -lm

tp_test: $(OBJ1) tp_test.o
	$(CC) -g -o $@ $(OPFLAG) $(OBJ1) tp_test.o -lm

clean:
	/bin/rm -rf *.o lex.yy.c y.tab.c y.tab.h y.output  *~ parse

.c.o:
	$(CC) $(OPFLAG)   -c $<

#######################################################################

=== 8.5/Makefile ===
 
CC=gcc
CFLAGS=-c
LFLAGS=-lm

TAY=../../taylor  $(RUNARG)

MODEL=vdp.eq

HDR=vdp.h
SRC=vdp.c main.c
OBJ=$(SRC:.c=.o)
OBJS=$(OBJ:.cpp=.o)
TGT=a.out

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@
%.o: %.c %.h
	$(CC) $(CFLAGS) $< -o $@


vdp.h: $(MODEL)
	$(TAY) -o $@ -header $<

vdp.c: vdp.h $(MODEL) 
	$(TAY) -o $@ -jet -step -headername $^

a.out: $(OBJS) 
	$(CC) $^ -o $@ $(LFLAGS)

clean:
	-rm -f $(OBJS) $(TGT) vdp.c vdp.h

=== debian/control ===
Source: taylor
Version: 2.2.1
Maintainer: Maorong Zou <mzou@math.utexas.edu>
Build-Depends: debhelper (>=9), gcc, flex, bison , libfl-dev

Package: taylor
Version: 2.2.1
Maintainer: Maorong Zou
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, flex, bison, libmpfr-dev, libgmp-dev, libmpc-dev, libfl-dev
Section: Miscellaneous
Priority:optional
Description: A translator that generats C-code to solve a system of ODEs using the taylor
  method, optionally integrate a variational equations
  simutaneously via the Jet Transport mechanism.
